Name:           gauche
Version:        0.9.3.3
Release:        6%{?dist}
Summary:        Scheme script interpreter with multibyte character handling

%if 0%{?rhel}
Group:          Development/Languages
%endif
License:        BSD
URL:            http://practical-scheme.net/gauche/index.html
Source:         http://download.sourceforge.net/gauche/Gauche-%{version}.tgz

%if 0%{?el5}
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
%endif

BuildRequires:  gdbm-devel
BuildRequires:  texinfo
Requires(post): /sbin/install-info, /sbin/ldconfig
Requires(postun): /sbin/install-info, /sbin/ldconfig
Requires:       slib
ExcludeArch:    ppc64

%define main_version 0.9

%description
Gauche is a Scheme interpreter conforming Revised^5 Report on
Algorithmic Language Scheme.  It is designed for rapid development of
daily tools like system management and text processing.  It can handle
multibyte character strings natively.


%package devel
Summary:        Development files for Gauche
Group:          Development/Languages
Requires:       %{name} = %{version}-%{release}

%description devel
Development files for Gauche.


%prep
%setup -q -n Gauche-%{version}


%build
%configure --with-rpath=no --enable-threads=pthreads --enable-multibyte=utf-8 --with-slib=%{_datadir}/slib
LD_LIBRARY_PATH=`pwd`/src make %{_smp_mflags} \
%ifarch %{ix86}
  OPTFLAGS="-fomit-frame-pointer"
%else
  %{nil}
%endif


%install
%if 0%{?el5}
rm -fr $RPM_BUILD_ROOT
%endif
LD_LIBRARY_PATH=`pwd`/src make DESTDIR=$RPM_BUILD_ROOT install-pkg
LD_LIBRARY_PATH=`pwd`/src make DESTDIR=$RPM_BUILD_ROOT install-doc

# correct permissions
chmod -R u+w $RPM_BUILD_ROOT
chmod 0644 examples/grep.scm
chmod 0644 ext/template.*

# remove japanese doc
rm -f $RPM_BUILD_ROOT%{_infodir}/gauche-refj.*

touch $RPM_BUILD_ROOT%{_datadir}/gauche-%{main_version}/%{version}/lib/slibcat

# this things go into the doc of the devel package
rm -f $RPM_BUILD_ROOT%{_datadir}/gauche/%{version}/template*
rm -f $RPM_BUILD_ROOT%{_datadir}/gauche/%{version}/aclocal*

# make .c files readable for debuginfo
find -name '*.c' | xargs chmod 0644


%check
cd src; LD_LIBRARY_PATH=$RPM_BUILD_ROOT%{_libdir} make test


%clean
rm -fr $RPM_BUILD_ROOT


%post
/sbin/install-info %{_infodir}/gauche-refe.info %{_infodir}/dir 2>/dev/null || :
/sbin/ldconfig
# creates slib catalog, if possible.
/usr/bin/gosh -u slib -e "(require 'logical)" -e "(exit 0)" > /dev/null 2>&1 || echo


%postun
if [ $1 = 0 ]; then
  /sbin/install-info --delete %{_infodir}/gauche-refe.info %{_infodir}/dir 2>/dev/null || :
fi
/sbin/ldconfig


%files
%defattr(-,root,root,-)
%{_bindir}/gauche-cesconv
%{_bindir}/gauche-install
%{_bindir}/gauche-package
%{_bindir}/gosh
%{_libdir}/libgauche-%{main_version}.so.*
%{_libdir}/gauche-%{main_version}
%{_infodir}/*
%{_mandir}/man*/gosh.*
%{_mandir}/man*/gauche-cesconv.*
%{_mandir}/man*/gauche-install.*
%{_mandir}/man*/gauche-package.*
%{_datadir}/gauche-%{main_version}
%exclude %{_datadir}/gauche-%{main_version}/%{version}/template*
%exclude %{_libdir}/gauche-%{main_version}/%{version}/include
%ghost %{_datadir}/gauche-%{main_version}/%{version}/lib/slibcat
%doc ChangeLog AUTHORS VERSION README NEWS examples COPYING


%files devel
%defattr(-,root,root,-)
%{_bindir}/gauche-config
%{_libdir}/libgauche-%{main_version}.so
%{_libdir}/gauche-%{main_version}/%{version}/include
%{_datadir}/gauche-%{main_version}/%{version}/template*
%{_datadir}/aclocal/gauche.m4
%{_mandir}/man*/gauche-config*
%doc ext/template.*


%changelog
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.3.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.3.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.3.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.3.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul  2 2012 Michel Salim <salimma@fedoraproject.org> - 0.9.3.3-1
- Update to 0.9.3.3

* Sun May 13 2012 Michel Salim <salimma@fedoraproject.org> - 0.9.3.2-1
- Update to 0.9.3.2

* Fri May 11 2012 Michel Salim <salimma@fedoraproject.org> - 0.9.3-1
- Update to 0.9.3
- Update URL field
- Spec clean-ups

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Sep 13 2011 Michel Salim <salimma@fedoraproject.org> - 0.9.2-1
- Update to 0.9.2

* Sun Feb  6 2011 Gérard Milmeister <gemi@bluewin.ch> - 0.9.1-1
- new release 0.9.1

* Sat Jul 25 2009 Gerard Milmeister <gemi@bluewin.ch> - 0.8.14-3
- patch for setting target arch

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jun 19 2009 Gerard Milmeister <gemi@bluewin.ch> - 0.8.14-1
- new release 0.8.14

* Mon Apr 14 2008 Gerard Milmeister <gemi@bluewin.ch> - 0.8.13-2
- set correct path to slib

* Thu Feb 14 2008 Gerard Milmeister <gemi@bluewin.ch> - 0.8.13-1
- new release 0.8.13

* Sat Aug 18 2007 Gerard Milmeister <gemi@bluewin.ch> - 0.8.11-2
- exclude arch ppc64

* Sat Aug 18 2007 Gerard Milmeister <gemi@bluewin.ch> - 0.8.11-1
- new release 0.8.11

* Fri Apr 20 2007 Gerard Milmeister <gemi@bluewin.ch> - 0.8.10-1
- new version 0.8.10

* Thu Jan 18 2007 Gerard Milmeister <gemi@bluewin.ch> - 0.8.9-1
- new version 0.8.9

* Mon Nov 13 2006 Gerard Milmeister <gemi@bluewin.ch> - 0.8.8-2
- new version 0.8.8

* Mon Aug 28 2006 Gerard Milmeister <gemi@bluewin.ch> - 0.8.7-6
- Rebuild for FE6

* Thu May  4 2006 Gerard Milmeister <gemi@bluewin.ch> - 0.8.7-5
- added patch for consistent arch directories (gauche-arch.patch)

* Fri Apr 28 2006 Gerard Milmeister <gemi@bluewin.ch> - 0.8.7-3
- added %%check
- included COPYING file in %%doc

* Thu Apr 27 2006 Gerard Milmeister <gemi@bluewin.ch> - 0.8.7-2
- fixes permissions
- patch to fix jp problem in texinfo file

* Fri Apr 21 2006 Gerard Milmeister <gemi@bluewin.ch> - 0.8.7-1
- new version 0.8.7

* Sun Nov  6 2005 Gerard Milmeister <gemi@bluewin.ch> - 0.8.6-1
- New Version 0.8.6

* Fri Jul  1 2005 Gerard Milmeister <gemi@bluewin.ch> - 0.8.5-1
- New Version 0.8.5

* Wed Feb 23 2005 Gerard Milmeister <gemi@bluewin.ch> - 0:0.8.3-1
- New Version 0.8.3

* Sat Aug  7 2004 Gerard Milmeister <gemi@bluewin.ch> - 0:0.8.1-0.fdr.1
- New Version 0.8.1

* Sun May 23 2004 Gerard Milmeister <gemi@bluewin.ch> - 0:0.8-0.fdr.1
- New Version 0.8

* Fri Mar 19 2004 Gerard Milmeister <gemi@bluewin.ch> - 0:0.7.4.2-0.fdr.1
- New Version 0.7.4.2

* Fri Mar 19 2004 Gerard Milmeister <gemi@bluewin.ch> - 0:0.7.4.1-0.fdr.1
- New Version 0.7.4.1

* Sun Nov  9 2003 Gerard Milmeister <gemi@bluewin.ch> - 0:0.7.2-0.fdr.1
- First Fedora release
